Child theme en WordPress 5.5

Swoosh illustration

WordPress is deze week geupdate naar 5.5. Interessant? Altijd. Ga ik nu in detail? Neen; er is al genoeg over geschreven en voor de uiteindelijke eindgebruiker is het vaak onduidelijk (en dus gevoelsmatig onbelangrijk) wat er is veranderd.

Er is deze keer echter een interessant item toegevoegd wat al snel mis-/ gebruikt zal worden door de eindgebruiker. En dat betreft de mogelijkheid plug-ins automatisch te laten updaten.
Is een goede ontwikkeling lijkt me. Vaak zie ik dat er geen aandacht is voor onderhoud van een site, en dat plug-ins verouderen. Hierdoor ontstaan o.a. veiligheidsissues en zijn pas echt zichtbaar als het (bijna) te laat is.

Het verdient wel een ander punt van aandacht. Heb je een thema gekocht? Of gebruik je een builder voor jouw site (Visual Composer, DIVI, etc.)? Dan is het raadzaam een child-theme te (laten) installeren en te activeren. Lees hier hoe

Een child-theme is een soort van kopie van jouw thema, maar dan feitelijk van oorsprong helemaal leeg. Alles wat er in een child-theme wél wordt doorgevoerd, overschrijft het (aangekochte) moeder template op dat specifieke gedeelte. Een child-theme wordt in essentie niet door WordPress geupdate, dus maatwerk blijft bij update onaangetast en dus wel zichtbaar in het up-to-date moeder thema. Maatwerk kan ‘hier en daar’ een kleur of uitlijning zijn, maar ook aanpassingen aan een raamwerk van diverse pagina’s en/of onderdelen, of zelfs javascript scripts voor bijvoorbeeld een carousel of scroll-effect. Vaak doe je gaandeweg meer dan je denkt… Daar leent WordPress zicht ook goed voor.

Het child-theme heeft geen invloed op updates van de plug-ins die op auto update staan. Het voorkomt echter wel conflicten die kunnen ontstaan met maatwerk in jouw thema. Verder rest mij te zeggen dat ik uit ervaring weet dat het 99 van 100 keer ook zonder child goed gaat. Klopt. Alleen die ene keer is gebleken, dat er genoeg zorgen kunnen ontstaan om er nu alvast beetje rekening mee te houden.

1258

Reageren?

Om een reactie te kunnen plaatsen moet u inloggen of voor een account registreren.